%define tarname	WebOb

Summary:	WSGI request and response object for Python
Name:		python-webob
Version:	1.6.0
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/W/%{tarname}/%{tarname}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://pythonpaste.org/webob/
BuildArch:	noarch
Requires:	python-pkg-resources
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-dtopt
BuildRequires:	python-tempita
BuildRequires:	python-webtest
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose


%description
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%package -n python3-webob
Summary:	WSGI request and response object for Python 3
Group:		Development/Python

%description -n python3-webob
WebOb provides wrappers around the WSGI request environment, and an
object to help create WSGI responses.

The objects map much of the specified behavior of HTTP, including
header parsing and accessors for other standard parts of the
environment.

%prep
%setup -q -n %{tarname}-%{version}
%{__rm} -f tests/performance_test.py

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

# %check
# %{__python2} setup.py test
#
# pushd %{py3dir}
# %{__python3} setup.py test
# popd

%files
%doc docs/*
%{python2_sitelib}/webob/
%{python2_sitelib}/*egg-info

%files -n python3-webob
%doc docs/*
%{python3_sitelib}/webob/
%{python3_sitelib}/*egg-info




%changelog
* Wed Apr 20 2016 philippem <philippem> 1.6.0-1.mga6
+ Revision: 1003713
- update to 1.6.0

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 1.5.1-1.mga6
+ Revision: 905846
- update to 1.5.1

* Thu Oct 29 2015 philippem <philippem> 1.4.1-1.mga6
+ Revision: 896485
- update to 1.4.1

* Sat Oct 10 2015 tv <tv> 1.4-6.mga6
+ Revision: 888878
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 739545
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-4.mga5
+ Revision: 729968
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.4-2.mga5
+ Revision: 629095
- Rebuild for new Python

* Sat May 24 2014 philippem <philippem> 1.4-1.mga5
+ Revision: 625325
- update to 1.4

* Sat Mar 08 2014 philippem <philippem> 1.3.1-1.mga5
+ Revision: 601329
- update to 1.3.1

* Tue Oct 22 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 544448
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.3-2.mga4
+ Revision: 499715
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.2.3-1.mga4
+ Revision: 450261
- Update to 1.2.3 , add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 1.1.1-1.mga2
+ Revision: 158272
- Latest stable upstream 1.1.1

* Tue Jun 21 2011 dmorgan <dmorgan> 1.0.6-1.mga2
+ Revision: 111594
- imported package python-webob

